aboutsummaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-04-09 14:29:03 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-04-09 14:32:40 +1200
commitcd6c4ff92b7e6da0f48abbd0e455f16cc681f80e (patch)
tree2ba90a20456b9ce7cc49406cb1035062b157dbe3 /check
parent53e3630f8234eae75b219914f3f78054eb989584 (diff)
downloaddotfiles-cd6c4ff92b7e6da0f48abbd0e455f16cc681f80e.tar.gz
Add xinitrc.d script checks
Diffstat (limited to 'check')
-rw-r--r--check/xinit.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/check/xinit.sh b/check/xinit.sh
new file mode 100644
index 00000000..f8116908
--- /dev/null
+++ b/check/xinit.sh
@@ -0,0 +1,4 @@
+for xinit in X/xinitrc X/xinitrc.d/*.sh ; do
+ sh -n "$xinit" || exit
+done
+printf 'X/xinitrc and all shell scripts in X/xinitrc.d parsed successfully.\n'